Get Block by Hash or Number

Returns the block information by given hash or number.

This method will use 20 Compute Units.


Get block by hash or number

get

Returns the block information by given hash or number.

Path parameters
hashOrNumberstringRequired

Accepts both eth and hedera hash format or block number

Pattern: ^(\d{1,10}|(0x)?([A-Fa-f0-9]{64}|[A-Fa-f0-9]{96}))$
Responses
chevron-right
200

OK

application/json
countintegerOptional
gas_usedinteger · int64 · nullableOptional
hapi_versionstring · nullableOptional
hashstringOptional
logs_bloomstring · nullableOptional

A hex encoded 256-byte array with 0x prefix

Pattern: ^0x[0-9a-fA-F]{512}$
namestringOptional
numberintegerOptional
previous_hashstringOptional
sizeinteger · nullableOptional
get
/api/v1/blocks/{hashOrNumber}

Last updated

Was this helpful?